Subject: Re: [PATCH] http-push: add regression tests

From: Clemens Buchacher <[email-masked]>
Date: Sun, 24 Feb 2008 20:14:55 +0100

Hi,

On Sun, Feb 24, 2008 at 07:48:32PM +0100, Mike Hommey wrote:
> I took a quick but deeper look to your script, and I think it would be
> better to have a httpd.conf with proper <IfDefine> directives, and
> toggle the proper defines on the httpd command line.

I wanted to avoid that because I thought it would make it harder to adapt the
script to different web servers. However, the script turned out to be very
apache specific anyways. I'll have a look at those IfDefine's.

> Note the ServerRoot is used when paths are relative, so only the
> ServerRoot need to be set, and it could be set with the -C argument to
> httpd, avoiding the need of a .in file. If necessary, modules path could
> be made relative to the ServerRoot by means of a symlink.

I see.

> Avoiding to have logs, dav lock, ssl mutex, etc. in the document
> root would be better, too, but that is nitpicking.

True. Maybe we should also make a separate working directory for the clones.

Clemens